<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mods	RTIL - Remove Topic Icons Legend
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function RTIL_Displays(&$buffer)
{
	global $modSettings, $context, $txt, $topic;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	// Define the old and the new	
	$rtil = array();
	if (!empty($modSettings['rtil_enable']) && (function_exists('MessageIndex') || function_exists('QuickModeration') || function_exists('getLastPost') || function_exists('RecentPosts') || function_exists('UnreadTopics'))) {
			$showlegend = 'id="topic_icons">';
			$hidelegend = 'id="topic_icons" style="display:none">';
			$rtil[$showlegend] = $hidelegend;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($rtil), array_values($rtil), $buffer);
}

function RTIL_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('RTIL');
	// Add setting(s)
	$rtil = array(
			array('check', 'rtil_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $rtil);
}
?>